

pipeline {
    agent any
    
    // triggers{
    //     cron('H/15 11-21 * * 1-5')
    // }

    tools {nodejs "Node12"}

    stages {
        stage('Install') {
            steps {
                bat "npm i"
            }
        }
        stage('Tests') {
            steps {
                bat "npm run test --browser chrome --record --key 88f20765-694e-45ff-ac48-4a0befa8b700"
    
            }
        }
    }

     post {
                always {
                    cucumber    buildStatus: 'null',
                                customCssFiles: '',
                                customJsFiles: '',
                                failedFeaturesNumber: -1,
                                failedScenariosNumber: -1,
                                failedStepsNumber: -1,
                                fileIncludePattern: '**/*.json',
                                pendingStepsNumber: -1,
                                reportTitle: 'Aicep Report',
                                skippedStepsNumber: -1,
                                sortingMethod: 'ALPHABETICAL',
                                undefinedStepsNumber: -1
                }
            }

}